' $segment
' $SUBTITLE: 'Arrays passed between various components of RBBS-PC'
' $PAGE
'
   DEFINT A-Z
'
' The following static arrays are passed between the various subroutines
' within RBBS-PC.
'
    DIM ZHelp$(9)                      ' Help file names
    DIM ZWasLG$(12)                    ' Holds message strings
    DIM ZMenu$(7)                      ' Menu file names
    DIM ZSubDir$(99)                   ' Download Sub-Dirs
    DIM ZListFile$(255)                ' File array when listing file
'
' The following static arrays and shared variables are declared here as
' global to prevent lockups due to MS PDS's bug with arrays DIM'ed in
' overlayed modules.
'
    DIM ANSIRow(1), ANSICol(1), ACColor$(1), HoldInput$(1), StartRow(1)
    DIM MaxRow(1), WasX$(1), LastChar$(1), ForeGround(8), ForeRotate(1)
    DIM ForeHiLite(1)

    Common Shared ANSIRow(), ANSICol(), ACColor$(), HoldInput$(), StartRow()
    Common Shared MaxRow(), WasX$(), LastChar$()
    Common Shared LocalOut, RemoteOut, SideOut
    Common Shared MenuColor1$, MenuColor2$
    Common Shared StartTime!, ElapsedTime!, ForeGround(), ForeRotate()
    Common Shared ForeHiLite()
    Common Shared Logging

' $SUBTITLE: 'Variables passed between various components of RBBS-PC'
' $PAGE
'
' The following variables are passed between the various and
' separately compiled subroutines used by RBBS-PC.
'
   COMMON SHARED _
          ZAbort, _
          ZActiveBulletins, _
          ZActiveFMSDir$, _
          ZActiveMenu$, _
          ZActiveMessage$, _
          ZActiveMessageFile$, _
          ZActiveUserFile$, _
          ZActiveUserName$, _
          ZAddDirSecurity, _
          ZAdjustedSecurity, _
          ZAdvanceProtoWrite, _
          ZAllOpts$, _
          ZAllowCallerTurbo, _
          ZAllwaysStrewTo$, _
          ZAltdirExtension$, _
          ZAnsIndex, _
          ZAnsMenu$, _
          ZArcWork$, _
          ZAskExtendedDesc, _
          ZShowXferTime, _
          ZAttemptsAllowed, _
          ZAutoLogoff!, _
          ZAutoLogoffReq, _
          ZAutoPageDef$, _
          ZAutoUpgradeSec, _
          ZBackSpace$, _
          ZBankTimeVal, _
          ZBankTime$, _
          ZBatchProto, _
          ZBatchTransfer, _
          ZBaudParity$, _
          ZBaudRateDivisor, _
          ZBaudRates$, _
          ZBaudTest!, _
          ZBegFile, _
          ZBegLibrary, _
          ZBegMain, _
          ZBegUtil, _
          ZBellRinger$, _
          ZBlk, _
          ZBlocksInFile#, _
          ZBlockSize, _
          ZBoldText$, _
          ZBPS, _
          ZBufferSize, _
          ZBulletinMenu$, _
          ZBulletinPrefix$, _
          ZBulletinSave$, _
          ZBulletinsOptional, _
          ZBypassTimeCheck, _
          ZByteMethod, _
          ZBytesInFile#, _
          ZBytesToday!, _
          ZCallersFile$, _
          ZCallersFileIndex!, _
          ZCallersFilePrefix$, _
          ZCallersLst$, _
          ZCallersRecord$, _
          ZCanDnldFromUp, _
          ZCarriageReturn$, _
          ZCategoryCode$(1), _
          ZCategoryDesc$(1), _
          ZCategoryName$(1), _
          ZChainedDir$, _
          ZCheckBulletLogon, _
          ZCityState$, _
          ZCmdPrompt$, _
          ZCmdsBetweenRings, _
          ZCmdTransfer$, _
          ZCmndsInPrompt, _
          ZCmntsAsMsgs, _
          ZCmntsFile$, _
          ZColorReset$, _
          ZCommPortStack$, _
          ZComPort$, _
          ZComPortNum, _
          ZCompressedExt$, _
          ZShowTimesDownloaded, _
          ZConcatFIles, _
          ZConfigFileName$, _
          ZConfMailList$, _
          ZConfMenu$, _
          ZConfMode, _
          ZConfName$, _
          ZCopyrightSecs, _
          ZCR, _
          ZCrLf$, _
          ZCurDate$, _
          ZCurDef$, _
          ZCurDirPath$, _
          ZCurPUI$, _
          ZCustomPUI, _
          ZDateOrderedFMS, _
          ZDaysInRegPeriod, _
          ZDaysToWarn, _
          ZDebug, _
          ZDefaultCatCode$, _
          ZDefaultEchoer$, _
          ZDefaultExtension$, _
          ZDefaultLineACK$, _
          ZDefaultSecLevel, _
          ZDefaultXfer$, _
          ZDelay!, _
          ZDeletedMsg$, _
          ZDeleteInvalid, _
          ZDenyAccess, _
          ZDirCatFile$, _
          ZDirExtension$, _
          ZDirFile$, _
          ZDirPath$, _
          ZDirPrefix$, _
          ZDirPrompt$, _
          ZDiskForDos$, _
          ZDiskFullGoOffline, _
          ZDisplayAsUnit, _
          ZDistantTGet, _
          ZDistriHelp$, _
          ZDistriPath$, _
          ZDLBytesVal!, _
          ZDlBytes$, _
          ZDLToday!, _
          ZDnldDrives$, _
          ZDnldRecord$, _
          ZDnlds, _
          ZDoorDisplay$, _
          ZDooredTo$, _
          ZDoorsAvail, _
          ZDoorsDef$, _
          ZDoorSkipsPswd, _
          ZDosANSI, _
          ZDownFiles, _
          ZDownTemplate$, _
          ZDR1$, _
          ZDR1Def$, _
          ZDR2$, _
          ZDR2Def$, _
          ZDR3$, _
          ZDR3Def$, _
          ZDR4$, _
          ZDR4Def$, _
          ZDR5$, _
          ZDR5Def$, _
          ZDTRDropDelay, _
          ZDwnIndex, _
          ZEchoer$, _
          ZEightBit, _
          ZElapsedTime$, _
          ZElapsedTimeVal, _
          ZEmphasizeOff$, _
          ZEmphasizeOffDef$, _
          ZEmphasizeOn$, _
          ZEmphasizeOnDef$, _
          ZEnableCC, _
          ZEndOfficeHours, _
          ZEndTime, _
          ZEnforceRatios, _
          ZEOL, _
          ZEpilog$, _
          ZErrCode, _
          ZEscape$, _
          ZEscapeInsecure, _
          ZExitToDoors, _
          ZExpectActiveModem, _
          ZExpertUser, _
          ZExpirationDate$, _
          ZExpiredSec, _
          ZExtendedLogging, _
          ZExtendedOff, _
          ZExtraDnldTime, _
          ZFailureParm, _
          ZFailureString$, _
          ZFakeXRpt, _
          ZFalse, _
          ZFastFileList$, _
          ZFastFileLocator$, _
          ZFastFileSearch, _
          ZFastTabs$, _
          ZFF, _
          ZFG1$, _
          ZFG1Def$, _
          ZFG2$, _
          ZFG2Def$, _
          ZFG3$, _
          ZFG3Def$, _
          ZFG4$, _
          ZFG4Def$, _
          ZFileCmd$, _
          ZFileLocation$, _
          ZFileName$, _
          ZFileNameHold$, _
          ZFileOpts$, _
          ZFileSecFile$, _
          ZFileSysParm, _
          ZFileWaiting, _
          ZFirstName$, _
          ZFirstNamePrompt$, _
          ZFLen, _
          ZFlowControl, _
          ZFMSDirectory$, _
          ZFMSFileLength, _
          ZForceKeyboard, _
          ZFossil, _
          ZFreeDnld, _
          ZFreeSpace$, _
          ZFunctionKey
COMMON SHARED _
          ZGetExtDesc, _
          ZGlobalBankTime, _
          ZGlobalBytesToday!, _
          ZGlobalCmnds$, _
          ZGlobalDLBytes!, _
          ZGlobalDLToday!, _
          ZGlobalDnlds, _
          ZGlobalRead, _ 
          ZGlobalsSet, _ 
          ZGlobalSysop, _
          ZGlobalULBytes!, _
          ZGlobalUplds, _
          ZGSRAra$(1), _
          ZHasDoored, _
          ZHasPrivDoor, _
          ZHelp$(), _
          ZHelpExtension$, _
          ZHelpPath$, _
          ZHidden, _
          ZHighestUserRecord, _
          ZHiLiteOff, _
          ZHomeConf$, _
          ZHostEchoOff$, _
          ZHostEchoOn$, _
          ZHourMinToDropToDos, _
          ZInConfMenu, _
          ZIndivValue$, _
          ZInitialCredit#, _
          ZInterrupOn$, _
          ZInvalidFileOpts$, _
          ZInvalidLibraryOpts$, _
          ZInvalidMainOpts$, _
          ZInvalidOpts$, _
          ZInvalidSysOpts$, _
          ZInvalidUtilOpts$, _
          ZJumpLast$, _
          ZJumpSearching, _
          ZJumpSupported, _
          ZJumpTo$, _
          ZKeepInitBaud, _
          ZKeepTimeCredits, _
          ZKeyboardStack$, _
          ZKeyPressed$, _
          ZKeyPressedVal, _
          ZKillMessage, _
          ZLastCommand$, _
          ZLastDateTimeOn$, _
          ZLastDateTimeOnSave$, _
          ZLastIndex, _
          ZLastMsgRead, _
          ZLastName$, _
          ZLastNamePrompt$, _
          ZLastSmartColor$, _
          ZLenHash, _
          ZLenIndiv, _
          ZLibCmds$, _
          ZLibDrive$, _
          ZLibOpts$, _
          ZLibWorkDiskPath$, _
          ZLimitMinsPerSession, _
          ZLimitSearchToFMS, _
          ZLine25$, _
          ZLineCntlReg, _
          ZLineEditChk$, _
          ZLineFeed$, _
          ZLineFeeds, _
          ZLineMes$, _
          ZLinesInMsg, _
          ZLinesInMsgSave, _
          ZLinesPrinted, _
          ZLineStatusReg, _
          ZLinkedConf$, _
          ZListDir, _
          ZListIndex, _
          ZListNewDate$, _
          ZListOnly, _
          ZLocalBksp$, _
          ZLocalUser, _
          ZLocalUserMode, _
          ZLockDrive, _
          ZLockFileName$, _
          ZLockStatus$, _
          ZLogonActive, _
          ZLogonErrorIndex, _
          ZLogonMailLevel$, _
          ZLSB
COMMON SHARED _
          ZMacroActive, _
          ZMacroDrvPath$, _
          ZMacroEcho, _
          ZMacroExtension$, _
          ZMacroMin, _
          ZMacroSave, _
          ZMacroTemplate$, _
          ZMailWaiting, _
          ZMainCmds$, _
          ZMainDirExtension$, _
          ZMainFMSDir$, _
          ZMainMsgBackup$, _
          ZMainMsgFile$, _
          ZMainOpts$, _
          ZMainPUI$, _
          ZMainUserFile$, _
          ZMainUserFileIndex, _
          ZMarkedFiles$, _
          ZMarkedMsgs$, _
          ZMasterDirName$, _
          ZMaxBank, _
          ZMaxBankTimeDef, _
          ZMaxCarrierWait, _
          ZMaxDescLen, _
          ZMaxExtendedLines, _
          ZMaxMsgLines, _
          ZMaxMsgLinesDef, _
          ZMaxNodes, _
          ZMaxPerDay,_
          ZMaxPerDayDef,_
          ZMaxPswdChanges, _
          ZMaxRegSec, _
          ZMaxViolations, _
          ZMaxWorkVar, _
          ZMenu$(), _
          ZMenuIndex, _
          ZMinLogonSec, _
          ZMinNewCallerBaud, _
          ZMinOldCallerBaud, _
          ZMinSecForTempPswd, _
          ZMinSecPersUpld, _
          ZMinSecToView, _
          ZMinsInDoors, _
          ZMinsPerSession, _
          ZMinsPerSessionDef, _
          ZBBSOptions, _
          ZModemAnswerCmd$, _
          ZModemCmdDelayTime, _
          ZModemCntlReg, _
          ZModemCountRingsCmd$, _
          ZModemGoOffHookCmd$, _
          ZModemInitBaud$, _
          ZModemInitCmd$, _
          ZModemInitWaitTime, _
          ZModemOffHook, _
          ZModemResetCmd$, _
          ZModemStatusReg, _
          ZMorePrompt$, _
          ZMSB, _
          ZMsgDim, _
          ZMsgDimIndex, _
          ZMsgDimIndexSave, _
          ZMsgFileLock, _
          ZMsgHeader$, _
          ZMsgPswd, _
          ZMsgPtr(2), _
          ZMsgRec$, _
          ZMsgReminder, _
          ZMsgSecCats$, _
          ZMsgsCanGrow, _
          ZDontShowLogOff, _
          ZNetBaud$, _
          ZNetMail$, _
          ZNetTime$, _
          ZNetReliable$, _
          ZNetworkType, _
          ZNewFilesCheck, _
          ZNewsFileName$, _
          ZNewUser, _
          ZNewUserFile$, _
          ZNewUserQuestionnaire$, _
          ZNewUserSetsDefaults, _
          ZNextMsgRec, _
          ZNo, _
          ZNoAdvance, _
          ZNodeFileID$, _
          ZNodeID$, _
          ZNodeRecIndex, _
          ZNodeWorkDrvPath$, _
          ZNodeWorkFile$, _
          ZNoDoorProtect, _
          ZNonStop, _
          ZNonStopSave, _
          ZNoQuoting, _
          ZNotCTS, _
          ZNul$, _
          ZNulls, _
          ZNumCategories, _
          ZNumDnldBytes!, _
          ZNumHeaders, _
          ZOK, _
          ZOldDate$, _
          ZOmitMainDir$, _
          ZOneStop, _
          ZOptionEnd$, _
          ZOptSec(1), _
          ZOrigCallers$, _
          ZOrigCnfg$, _
          ZOrigCommands$, _
          ZOrigDateTimeOn$, _
          ZOrigMsgFile$, _
          ZOrigSec, _
          ZOrigSysopFN$, _
          ZOrigSysopLN$, _
          ZOrigTimeLoggedOn$, _
          ZOrigUserFile$, _
          ZOrigUserFileIndex, _
          ZOrigUserName$, _
          ZOutTxtAra$(1), _
          ZOutTxt$, _
          ZOverWriteSecLevel, _
          ZPageLength, _
          ZPageLengthDef, _
          ZPageStatus$, _
          ZPagingPtrSupport$, _
          ZParseOff, _
          ZPersonalBegin, _
          ZPersonalConcat, _
          ZPersonalDir$, _
          ZPersonalDnld, _
          ZPersonalDrvPath$, _
          ZPersonalLen, _
          ZPossibleMacro, _
          ZPreLog$, _
          ZPressEnter$, _
          ZPressEnterExpert$, _
          ZPrevBase$, _
          ZPrevCaller$, _
          ZPrevPrefix$, _
          ZPrevPUI$, _
          ZPrinter, _
          ZPrivateDoor, _
          ZPrivateReadSec, _
          ZPromptBell, _
          ZPromptBellDef, _
          ZPromptHash$, _
          ZPromptIndiv$, _
          ZProtoDef$, _
          ZProtoMacro$, _
          ZProtoMethod$, _
          ZProtoPrompt$, _
          ZPswd$, _
          ZPswdFailed, _
          ZPswdFile$, _
          ZPswdSave$, _
          ZPublicReadSec, _
          ZQuesPath$, _
          ZQuestAborted, _
          ZQuestChainStarted, _
          ZQuitList$, _
          ZQuitPromptExpert$, _
          ZQuitPromptNovice$
COMMON SHARED _
          ZRatioRestrict#, _
          ZRBBSBat$, _
          ZRBBSName$, _
          ZRCTTYBat$, _
          ZUpdateOnLine, _
          ZRecycleWait, _
          ZRedirectIOMethod, _
          ZRegDate$, _
          ZRegDaysRemaining, _
          ZRegDisplayDate$, _
          ZRegProgram$, _
          ZReliableMode, _
          ZRememberNewUsers, _
          ZShowAllWhosOn, _
          ZRemindProfile, _
          ZRemoteEcho, _
          ZRemoteSysop, _
          ZReply, _
          ZReq8Bit, _
          ZReqQues$, _
          ZReqQuesAnswered, _
          ZRequiredRings, _
          ZRequireNonASCII, _
          ZRestrictByDate, _
          ZRestrictValidCmds, _
          ZRet, _
          ZRetERL, _
          ZReturnLineFeed$, _
          ZRightMargin, _
          ZRTS$, _
          ZScreenOutMsg$, _
          ZSearchingAll, _
          ZSecChangeMsg, _
          ZSecExemptFromEpilog, _
          ZSecretName$, _
          ZSecKillAny, _
          ZSecLevel$, _
          ZSecsPerSession!, _
          ZSecsUsedSession!, _
          ZSection$, _
          ZSectionOpts$, _
          ZSectionPrompt$, _
          ZSecVioHelp$, _
          ZSemiOnly, _
          ZSessionHour, _
          ZSessionMin, _
          ZSessionSec, _
          ZShareIt, _
          ZShowSection, _
          ZSizeOfStack, _
          ZSkipFilesLogon, _
          ZSLCategorizeUplds, _
          ZSleepDisconnect, _
          ZSmartTable$, _
          ZSmartTextChar$, _
          ZSmartTextCode, _
          ZSnoop, _
          ZSpeedFactor!, _
          ZStackC, _
          ZStartHash, _
          ZStartIndiv, _
          ZStartOfficeHours, _
          ZStartTime, _
          ZStopInterrupts, _
          ZStoreParseAt, _
          ZSubBoard, _
          ZSubDir$(), _
          ZSubDirCount, _
          ZSubDirIndex, _
          ZSubParm, _
          ZSubSection, _
          ZSurviveNoUserRoom, _
          ZSuspendAutoLogoff, _
          ZSwitchBack, _
          ZSysop, _
          ZSysopAnnoy, _
          ZSysopAvail, _
          ZSysopCmds$, _
          ZSysopComment, _
          ZSysopFirstName$, _
          ZSysopFullName$, _
          ZSysopLastName$, _
          ZSysopMenuSecLevel, _
          ZSysopMsg, _
          ZSysopNext, _
          ZSysopPswd1$, _
          ZSysopPswd2$, _
          ZSysopSecLevel, _
          ZTalkToModemAt$, _
          ZTempExpiredSec, _
          ZTempMaxBank, _ 
          ZTempMaxPerDay, _
          ZTempPassword$, _
          ZTempRegPeriod, _
          ZTempSecLevel, _
          ZTempTimeAllowed, _
          ZTempTimeLock, _
          ZTestANSITime, _
          ZTestedIntValue, _
          ZTestParity, _
          ZTime$, _
          ZTimeCredits!, _
          ZTimeLock, _
          ZTimeLockSet, _
          ZTimeLoggedOn$, _
          ZTimesLoggedOn, _
          ZTimeToDropToDos!, _
          ZTodayBytes$, _
          ZTodayDl$, _
          ZTodayRegDD, _
          ZTodayRegMM, _
          ZTodayRegYY, _
          ZToggleOnly, _
          ZTransferFunction, _
          ZTransferOption$, _
          ZTrashcanFile$, _
          ZTrue, _
          ZTurboKey, _
          ZTurboKeyUser, _
          ZNewsInterruptable, _
          ZTurnPrinterOff, _
          ZULBytesVal!, _
          ZULBytes$, _
          ZUnitCount, _
          ZUpcatHelp$, _
          ZUpInc, _
          ZUpldDir$, _
          ZUpldDirCheck$, _
          ZUpldDriveFile$, _
          ZUpldPath$, _
          ZUpldRec$, _
          ZUplds, _
          ZUpldSubdir$, _
          ZUpldTimeFactor!, _
          ZUpperCase, _
          ZUpTemplate$, _
          ZWriteCallersTxt, _
          ZUseDeviceDriver$, _
          ZUseExternalXmodem, _
          ZUseExternalYmodem, _
          ZUserBlockLock, _
          ZUserDnlds$, _
          ZUserFileIndex, _
          ZUserFileLock, _
          ZUserGraphicDefault$, _
          ZUserInAra$(1), _
          ZUserIn$, _
          ZUserLocation$, _
          ZUserLogonTime!, _
          ZUserName$, _
          ZUserOption$, _
          ZUserRecord$, _
          ZUserRegDD, _
          ZUserRegMM, _
          ZUserRegYY, _
          ZUserSecLevel, _
          ZUserSecSave, _
          ZUserTextColor, _
          ZUserUplds$, _
          ZUserXferDefault$, _
          ZUseTPut, _
          ZUtilCmds$, _
          ZUtilOpts$, _
          ZVerifyHigh$, _
          ZVerifying, _
          ZVerifyList$, _
          ZVerifyLow$, _
          ZVerifyNumeric, _
          ZVersionID$, _
          ZViolation$, _
          ZViolationsThisSession, _
          ZWaitBeforeDisconnect, _
          ZWaitExpired, _
          ZWasA, _
          ZWasB, _
          ZWasC, _
          ZWasCI$, _
          ZWasCM, _
          ZWasCN$, _
          ZWasDFF$, _
          ZWasDF, _
          ZWasEL, _
          ZWasEN$, _
          ZWasFT$, _
          ZWasGR, _
          ZWasHH, _
          ZWasLG$(), _
          ZWasLM$, _
          ZWasN$, _
          ZWasNG$, _
          ZWasQQ!, _
          ZWasQ, _
          ZWasS, _
          ZWasSL, _
          ZWasSQ, _
          ZWasY$, _
          ZWasZ$, _
          ZWelcomeFile$, _
          ZWelcomeFileDrvPath$, _
          ZWelcomeInterruptable, _
          ZWorkAra$(1), _
          ZWriteBufDef, _
          ZXferSupport, _
          ZXOffEd, _
          ZXOnXOff, _
          ZYes
COMMON SHARED _
          MinsRemaining, _
          ZAutoEnd, _
          ZArkViewPath$,_
          ZDnldCompleted, _
          ZJustSearching, _
          ZLastExt$, _
          ZLogoff$, _
          ZMplPersUpload, _
          ZUpBatchTransfer, _
          ZWasBatchTransfer, _
          ZUCat$, _
          ZDesc$, _
          ZBatchWorkFile$, _
          ZAlreadyGiven, _
          ZTempBankTime, _
          ZFullScreenEditor, _
          ZChatFileName$,_
          ZOrigRBBSName$, _
          ZEndList, _
          ZUpldDoor$, _
          ZFMSDoor, _
          ZCBaud$,_
          ZCBPS, _
          OrigFirstName$, _
          ZTruboLogon, _
          ZOrigUserNameDgs$, _
          ZNewUserDGS, _
          ZFG0$, _
          ZFG5$, _
          ZFG6$, _
          ZFG7$, _
          ZFG8$, _
          ZFG9$, _
          ZFGA$, _
          ZFGB$, _
          ZFGC$, _
          ZFGD$, _
          ZFGE$, _
          ZFGF$, _
          ZBG0$, _
          ZBG1$, _
          ZBG2$, _
          ZBG3$, _
          ZBG4$, _
          ZBG5$, _
          ZBG6$, _
          ZBG7$, _
          ZCanANSIChat, _
          ZSysopGreeting$, _
          ZLogUploader, _
          ZAddNameToDir, _
          ZMenuTimer!, _
          ZMenuNewUpld, _
          ZMenuNewUsers, _
          ZMenuNewSysop, _
          ZMenuNewCalls, _
          ZMenuDownloads, _
          ZMenuSysopPages, _
          ZMenuCarriers, _
          ZMenuDoors, _
          ZMenuNewMsgs, _
          ZLastCaller$, _
          ZFreeSpaceK$, _
          ZFreeSpaceM$, _
          ZYesPrompt$, _
          ZNoPrompt$, _
          ZDropChange, _
          ZDropTimes$, _
          ZDropTimesVal, _
          ZGlobalDropTimes, _
          ZDropCarSecChng, _
          ZDropIncrement, _
          ZOldPassword$, _
          ZPswdChngReqTime, _
          ZTurboOnFirstCall, _
          ZDoorDropFile$, _
          ZDoorTime$, _
          ZAvailableForChat, _
          ZSkipMailCheck, _
          ZDoorCarrierDropOK$, _
          ZExternalString$, _
          ZLocalPageLength, _
          ZWildDownOK, _
          ZCallsToDate!, _
          ZActiveMessages, _
          ZHighMsgNumber, _
          ZLogOffPlease, _
          ZRIPGraphics, _
          ZRIPGraphicsReset$, _
          ZReadNewMail, _
          ZReselectAll, _
          ZMorePromptLF, _
          ZReselectGraphics, _
          ZANSIMusic, _
          ZNeverCanPage, _
          ZReselectProto, _
          ZSysopColor$, _
          ZCurUserCount, _
          ZPrinterNumber, _
          ZWasGRHold, _
          ZPageLengthHold, _
          ZExpertUserHold, _
          ZTurboKeyUserHold, _
          ZHiLiteOffHold, _
          ZBoldTextHold$, _
          ZNewUserSelect, _
          ZDefaultNewUserOpts, _
          ZDefaultNewUserGraphics, _
          ZDefaultNewUserProto$, _
          ZNoSwap, _
          ZRegReset, _
          ZComSpec$, _
          ZTurboLogon, _
          ZCallerID$, _
          ZCallerIDName$, _
          ZCallerIDNumber$, _
          ZUseSysopName$, _
          ZExitFromChat, _
          ZListFile$(), _
          ZDisplayOptions, _
          ZFMSHeaderDisplay$, _
          ZBaudRateVals$, _
          ZTotalNewFiles, _
          ZMsgTo$, _
          ZSubject$, _
          ZLowMsgNumber, _
          ZSearchString$, _
          ZMsgFrom$, _
          ZCurMsg, _
          ZLanguageFile$, _
          ZRIPVersion$, _
          ZHighestMsgRecord, _
          ZMaxMsgs, _
          ZRIPICONFile$, _
          ZMsgFwd, _
          ZSmartTxtInMsgs, _
          ZCallerIDNumStr$, _
          ZCallerIDNamStr$, _
          ZCallerIDBlockStr$, _
          ZNoBlocking, _
          ZCallerIDBlockActive, _
          ZDoANSIMChat, _
          ZFMSBreakPoint, _
          ZNetMailSystem, _
          ZNetMailPath$, _
          ZNetMailAttr, _
          ZNetMailAddr$, _
          ZNetMailUserLst$, _
          ZLocalNetMailUserLst$, _
          ZFromAddr$, _
          ZToAddr$, _
          ZChangePswd, _
          ZExtendedConfMail, _
          ZCanXPost, _
          ZXPostAvail, _
          ZNullModem, _
          ZFIDXLEN, _
          ZFIDXCDROMLEN, _
          ZFIDXRFMLEN, _
          ZShowConfName, _
          ZViewDropFile$, _
          ZChatLogPath$, _
          ZInternetMsgTo$, _
          ZSkipConfCheck, _
          ZAllowFileAttach, _
          ZFileAttachPath$, _
          ZFileAttachHoldPath$, _
          ZDefaultBatchExt$, _
          ZLongDoorName$, _
          ZExitCode, _
          ZReFormatDiz, _
          ZSaveTxtAra$(1), _
          ZMaxDoorSec, _
          ZUseCallerIDName, _
          ZPrintOrigin

' $SUBTITLE: 'Functions common to all components of RBBS-PC'
' $PAGE
'
' The following functions may be used by any routine in RBBS-PC
'
' FNOffOn$ returns "Off" if switch is 0, and returns "On" if
' switch is non-zero.
'
 DEF FNOffOn$ (Switch) = MID$("OffOn", 1 - 3 * (Switch <> 0), 3)
' FNYesNo$ returns "Yes" if switch is 1, and returns "No" if
' switch is non-zero.
'
 DEF FNYesNo$ (Switch) = MID$("YesNo", 1 - 3 * (Switch <> 1), 3)
